$:.unshift File.expand_path("../../lib", __FILE__)
require "thrift_client"
require "test/unit"
require "stat-analysis-query"


class QueryTest < Test::Unit::TestCase
  include Test::Unit::Assertions

  def setup
    super
    root = File.expand_path("../..", __FILE__)
    config = {
      'protocol' => 'compact',
      'transport' => 'socket',
      'transport_wrapper' => 'framed',
      'size' => 1,
      'multiplexed' => true,
      'client_class' => 'Stat::Query::TBackendService::Client',
      'servers' => '127.0.0.1:9002'
    }

    @client = ThriftClient.new(config)
    puts "setup"
  end

  def test_delHotRadio
   assert_nothing_raised {@client.delHotRadio(1,[1,3,4,5,6,7,8])}
  end

  def test_delHotSound
   assert_nothing_raised {@client.delHotSound(1,nil,[1,3,4,5,6,7,8])}
  end

  def test_delNewv
   assert_nothing_raised {@client.delNewv(1,[1,3,4,5,6,7,8])}
  end

  def test_delMostFollowedUser
   assert_nothing_raised {@client.delMostFollowedUser(1,[1,3,4,5,6,7,8])}
  end

  def test_delMostFavoritSound
   assert_nothing_raised {@client.delMostFavoritSound(1,nil,[1,3,4,5,6,7,8])}
  end

  def test_delRecentVTrack
   assert_nothing_raised {@client.delRecentVTrack(1,nil,[1,3,4,5,6,7,8])}
  end

  def test_delDayHotRadio
   assert_nothing_raised {@client.delDayHotRadio(1,[1,3,4,5,6,7,8])}
  end

  def test_delDayHotSound
   assert_nothing_raised {@client.delDayHotSound(1,nil,[1,3,4,5,6,7,8])}
  end

  def test_delHotAlbum
   assert_nothing_raised {@client.delHotAlbum(1,nil,[1,3,4,5,6,7,8])}
  end

  def teardown
    super
    @client.destroy if @client
    puts "teardown"
  end
end
