$:.unshift File.expand_path("../../lib", __FILE__)
require "thrift_client"
require "test/unit"
require "stat-analysis-query"


class QueryTest < Test::Unit::TestCase
  include Test::Unit::Assertions

  def setup
    super
    root = File.expand_path("../..", __FILE__)
    config = {
      'protocol' => 'compact',
      'transport' => 'socket',
      'transport_wrapper' => 'framed',
      'size' => 1,
      'multiplexed' => true,
      'client_class' => 'Stat::Query::TDiscoverService::Client',
      'servers' => '192.168.5.49:9002'
    }

    @client = ThriftClient.new(config)
    puts "setup"
  end

  def test_selectWebTrackCategoryAndTag
    assert_nothing_raised {@client.selectWebTrackCategoryAndTag()}
  end

  def test_selectWebAlbumCategoryAndTag
    assert_nothing_raised {@client.selectWebAlbumCategoryAndTag()}
  end

  def test_selectWebHumanCategory
    assert_nothing_raised {@client.selectWebHumanCategory()}
  end

  def test_selectWebCategory
    assert_nothing_raised {@client.selectWebCategory()}
  end

  def test_selectWebAlbumTag
    assert_nothing_raised {
      @client.selectWebAlbumTag(1)
      @client.selectWebAlbumTag(2)
      @client.selectWebAlbumTag(3)
      @client.selectWebAlbumTag(4)
      @client.selectWebAlbumTag(5)
      @client.selectWebAlbumTag(6)
      @client.selectWebAlbumTag(7)
      @client.selectWebAlbumTag(8)
      @client.selectWebAlbumTag(9)
      @client.selectWebAlbumTag(10)
      @client.selectWebAlbumTag(11)
      @client.selectWebAlbumTag(12)
      @client.selectWebAlbumTag(13)
    }
  end

  def test_selectWebTrackTag
    assert_nothing_raised {
      @client.selectWebTrackTag(1)
      @client.selectWebTrackTag(2)
      @client.selectWebTrackTag(3)
      @client.selectWebTrackTag(4)
      @client.selectWebTrackTag(5)
      @client.selectWebTrackTag(6)
      @client.selectWebTrackTag(7)
      @client.selectWebTrackTag(8)
      @client.selectWebTrackTag(9)
      @client.selectWebTrackTag(10)
      @client.selectWebTrackTag(11)
      @client.selectWebTrackTag(12)
      @client.selectWebTrackTag(13)
    }
  end

  def test_selectMobileCategory
    assert_nothing_raised {
      p @client.selectMobileCategory(1,"ios",1)
      p @client.selectMobileCategory(2,"ios",1)
      p @client.selectMobileCategory(1,"ios",2)
      p @client.selectMobileCategory(1,"android",1)
      p @client.selectMobileCategory(2,"android",1)
      p @client.selectMobileCategory(1,"android",2)
    }
  end

  def test_selectMobileHumanCategory
    assert_nothing_raised {
      p @client.selectMobileHumanCategory(1,"ios",1)
      p @client.selectMobileHumanCategory(2,"ios",1)
      p @client.selectMobileHumanCategory(1,"ios",2)
      p @client.selectMobileHumanCategory(1,"android",1)
      p @client.selectMobileHumanCategory(2,"android",1)
      p @client.selectMobileHumanCategory(1,"android",2)
    }
  end

  def test_selectMobileAlbumTag
    assert_nothing_raised {
      @client.selectMobileAlbumTag(1)
      @client.selectMobileAlbumTag(2)
      @client.selectMobileAlbumTag(3)
      @client.selectMobileAlbumTag(4)
      @client.selectMobileAlbumTag(5)
      @client.selectMobileAlbumTag(6)
      @client.selectMobileAlbumTag(7)
      @client.selectMobileAlbumTag(8)
      @client.selectMobileAlbumTag(9)
      @client.selectMobileAlbumTag(10)
      @client.selectMobileAlbumTag(11)
      @client.selectMobileAlbumTag(12)
      @client.selectMobileAlbumTag(13)
    }
  end

  def test_selectMobileTrackTag
    assert_nothing_raised {
      @client.selectMobileTrackTag(1)
      @client.selectMobileTrackTag(2)
      @client.selectMobileTrackTag(3)
      @client.selectMobileTrackTag(4)
      @client.selectMobileTrackTag(5)
      @client.selectMobileTrackTag(6)
      @client.selectMobileTrackTag(7)
      @client.selectMobileTrackTag(8)
      @client.selectMobileTrackTag(9)
      @client.selectMobileTrackTag(10)
      @client.selectMobileTrackTag(11)
      @client.selectMobileTrackTag(12)
      @client.selectMobileTrackTag(13)
    }
  end

  def test_selectMobileMultiCategories
    category_version = {}
    category_version.store(1,"1")
    category_version.store(2,"1")
    category_version.store(3,"1")
    category_version.store(4,"1")
    category_version.store(5,"1")
    category_version.store(6,"1")
    category_version.store(7,"1")
    category_version.store(8,"1")
    category_version.store(9,"1")
    category_version.store(10,"1")
    category_version.store(11,"1")
    assert_nothing_raised {
      p @client.selectMobileMultiCategories(category_version,"ios",1)
      p @client.selectMobileMultiCategories(category_version,"android",1)
      p @client.selectMobileMultiCategories(category_version,"ios",2)
      p @client.selectMobileMultiCategories(category_version,"android",2)
    }
  end

  def test_selectAlbumSwitches
    category_ids = [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20]
    assert_nothing_raised {
      p @client.selectAlbumSwitches(category_ids)
    }
  end

  def teardown
    super
    @client.destroy if @client
    puts "teardown"
  end
end
