$:.unshift File.expand_path("../../lib", __FILE__)
require "thrift_client"
require "test/unit"
require "stat-analysis-query"


class QueryTest < Test::Unit::TestCase
  include Test::Unit::Assertions

  def setup
    super
    root = File.expand_path("../..", __FILE__)
    @config = {
      'protocol' => 'compact',
      'transport' => 'socket',
      'transport_wrapper' => 'framed',
      'size' => 1,
      'multiplexed' => true,
      'client_class' => 'Stat::Query::THotService::Client',
      'servers' => '192.168.3.161:9002'
    }

    @client = ThriftClient.new(@config)
    puts "setup"
  end

  def test_hotRadio
   assert_nothing_raised {puts @client.hotRadio(1,1,1).inspect}
  end

  def test_hotSound
    assert_nothing_raised {puts @client.hotSound(1,nil,1,1).inspect}
  end

  def test_newV
    assert_nothing_raised {puts @client.newV(1,1,1).inspect}
  end

  def test_mostFollowedUser
    assert_nothing_raised {puts @client.mostFollowedUser(1,1,1).inspect}
  end

  def test_mostFavoritSound
    assert_nothing_raised {puts @client.mostFavoritSound(1,nil,1,1).inspect}
  end

  def test_recentVTrack
    assert_nothing_raised {puts @client.recentVTrack(1,nil,1,1).inspect}
  end

  def test_hotRadioDay
    assert_nothing_raised {puts @client.hotRadioDay(1,1,1).inspect}
  end

  def test_hotSoundDay
    assert_nothing_raised {puts @client.hotSoundDay(1,nil,1,1).inspect}
  end

  def test_hotAlbum
    assert_nothing_raised {puts @client.hotAlbum(1,nil,1,1).inspect}
  end

  def test_hotSelectedAlbum
    p @client.hotSelectedAlbum(3,"奇幻",1, 10)
    @client.destroy
    assert_raise {p @client.hotSelectedAlbum(3,"奇幻",1, 10)}
    @client = ThriftClient.new(@config)
    p @client.hotSelectedAlbum(3,"奇幻",1, 10)
  end

  def test_hotRadioAndSound
    categories = [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15]
    assert_nothing_raised {puts @client.hotRadioAndSound(categories).inspect}
  end

  def test_hotCategoryAlbum
    tags = ["remen", "23123"]
    assert_nothing_raised {puts @client.hotCategoryAlbum(1,tags,1).inspect}
  end

  def test_hotRadioRandom
    assert_nothing_raised {puts @client.hotRadioRandom().inspect}
  end

  def teardown
    super
    @client.destroy if @client
    puts "teardown"
  end
end
