$:.unshift File.expand_path("../../lib", __FILE__)
require "thrift_client"
require "test/unit"
require "stat-analysis-query"


class QueryTest < Test::Unit::TestCase
  include Test::Unit::Assertions

  def setup
    super
    root = File.expand_path("../..", __FILE__)
    config = {
      'protocol' => 'compact',
      'transport' => 'socket',
      'transport_wrapper' => 'framed',
      'size' => 1,
      'multiplexed' => true,
      'client_class' => 'Stat::Query::TRecommendService::Client',
      'servers' => '127.0.0.1:9002'
    }

    @client = ThriftClient.new(config)
    puts "setup"
  end

  def test_indirectFollow
   assert_nothing_raised { puts @client.indirectFollow(3033,20) }
  end

  def test_indirectFollowPage
   assert_nothing_raised { puts @client.indirectFollowPage(3033,1,20) }
  end

  def test_newV
   assert_nothing_raised { puts @client.newV(3033,20) }
  end

  def test_categoryHotUser
   assert_nothing_raised { puts @client.categoryHotUser(3033,'1,2,3,4,5,6,7,8,9,10,11,12,13',20) }
  end

  def test_dislikeUser
   assert_nothing_raised { puts @client.dislikeUser(3033,3034) }
  end

  def teardown
    super
    @client.destroy if @client
    puts "teardown"
  end
end
